/*-----( Import needed libraries )-----*/

#include "IRremote.h"

/*-----( Declare Constants )-----*/
int receiver = 11; // pin 1 of IR receiver to Arduino digital pin 11

/*-----( Declare objects )-----*/
IRrecv irrecv(receiver);           // create instance of 'irrecv'
decode_results results;            // create instance of 'decode_results'
/*-----( Declare Variables )-----*/


void setup()   /*----( SETUP: RUNS ONCE )----*/
{
  Serial.begin(9600);
  Serial.println("IR Receiver Raw Data + Button Decode Test");
  irrecv.enableIRIn(); // Start the receiver

}/*--(end setup )---*/


void loop()   /*----( LOOP: RUNS CONSTANTLY )----*/
{
  if (irrecv.decode(&results)) // have we received an IR signal?

  {
//    Serial.println(results.value, HEX);  UN Comment to see raw values
    translateIR(); 
    irrecv.resume(); // receive the next value
    Serial.println(results.value);
  }  
}/* --(end main loop )-- */

/*-----( Declare User-written Functions )-----*/
void translateIR() // takes action based on IR code received

// describing Car MP3 IR codes 
  
{

  switch(results.value)

  {

  case 0xFFE318261B:
    Serial.println("POWER           ");
    break;
    
  case 0xFF511DBB:
    Serial.println("MODE            ");
    break;
  
  case 0xFFEE886D7F:
    Serial.println("MUTE            ");
    break;
  
  case 0xFF97483BFB:
    Serial.println("SHUFFLE         ");
    break;  

  case 0xFFD7E84B1B:  
    Serial.println(" PREV           "); 
    break;

  case 0xFF20FE4DBB:  
    Serial.println(" NEXT           "); 
    break;

  case 0xFF52A3D41F:  
    Serial.println(" PLAY/PAUSE     "); 
    break;

  case 0xFFA3C8EDDB:  
    Serial.println(" VOL-           "); 
    break;

  case 0xFFE5CFBD7F:  
    Serial.println(" VOL+           "); 
    break;

  case 0xFFF076C13B:  
    Serial.println(" EQ             "); 
    break;

  case 0xFFC101E57B:  
    Serial.println(" 0              "); 
    break;
    
  case 0xFF9716BE3F:  
    Serial.println(" 1              "); 
    break;

  case 0xFF3D9AE3F7:  
    Serial.println(" 2              "); 
    break;

  case 0xFF6182021B:  
    Serial.println(" 3              "); 
    break;

  case 0xFF8C22657B:  
    Serial.println(" 4              "); 
    break;

  case 0xFF488F3CBB:  
    Serial.println(" 5              "); 
    break;

  case 0xFF449E79F:  
    Serial.println(" 6              "); 
    break;

  case 0xFF32C6FDF7:  
    Serial.println(" 7              "); 
    break;

  case 0xFF1BC0157B:  
    Serial.println(" 8              "); 
    break;

  case 0xFF3EC3FC1B:  
    Serial.println(" 9              "); 
    break;

  default: 
    Serial.println(" other button   ");

  }

  delay(500);


} //END translateIR



/* ( THE END ) */

